Avant toute chose merci de (re)prendre connaissance de la charte et de la respecter.
Pour résumer :
- Avant de poser une question, je cherche si la réponse existe
- Je suis poli, courtois et je respecte tout un chacun sur le forum
- Si un post m'agace : je m'en éloigne plutôt que de répondre d'une façon qui pourrait être mal interprétée


Il n'est jamais du luxe que de rappeler des choses simples :
Courtoisie, amabilité, politesse et bonne humeur sont les maîtres mots pour un forum sympathique, bienveillant et accueillant :)

Le groupe des Helpers est present pour vous aidez, n'hésitez pas à poser des questions ;)

Toute la communauté vous remercie

/!\ L’ancien forum passera en lecture seule en janvier 2020 (Si community a bien pris le relais) puis nous le fermerons définitivement en janvier 2021./!\
Merci de vous rendre sur https://community.jeedom.com maintenant pour vos prochains postes ;)

[Sujet officiel] l'assistant vocal Snips 100% privé (Plugin développé pour jeedom)

Pour parler de tout, et surtout de rien !
valentinf
Timide
Messages : 250
Inscription : 13 avr. 2017, 14:16

Re: [Sujet officiel] l'assistant vocal Snips

Message par valentinf » 29 juil. 2018, 10:05

arnog23 a écrit :
29 juil. 2018, 09:56
Hello,

@valentinf

Un petit HS car on s'éloigne de Jeedom...

Même si je me doute que tout cela doit rester confidentiel si c'était le cas mais je tente quand même la question ;-)

Xavier Niel ayant investi dans Snips, peut-on s'attendre à une intégration de Snips en natif sur la Freebox V7 ?
Hello :)

Effectivement un peu (beaucoup) HS ;)

Tout ce qui touche de près ou de loin aux deals B2B est confidentiel oui :)

valentinf
Timide
Messages : 250
Inscription : 13 avr. 2017, 14:16

Re: [Sujet officiel] l'assistant vocal Snips

Message par valentinf » 29 juil. 2018, 10:09

chsalmon a écrit :
28 juil. 2018, 23:57
Bonjour,

il y a un probleme dans l'installation des dependances du plugin Jeedom.
En tout cas pour ma config...

Le programme d'install check si on a php5 avant de verifier php7.
moi j'ai les deux version dans /etc/ du coup il install sur php5 au lieu de php7 qui est la version active d'apres jeedom (dans santé : Version PHP 7.0.31-1~dotdeb+8.1 )
J'ai du bidouiller le install.sh pour bypasser l'install sur php5 et forcer le passage dans l'install dans php7

/var/www/html/jeedom/plugins/snips/resources/install.sh

Code : Tout sélectionner

#if [[ -d "/etc/php5/" ]]; then
#  apt-get -y install php5-dev
#  if [[ -d "/etc/php5/cli/" && ! `cat /etc/php5/cli/php.ini | grep "mosquitto"` ]]; then
#       echo "" | pecl install Mosquitto-alpha
#    echo 80 > /tmp/SNIPS_dep
#       echo "extension=mosquitto.so" | tee -a /etc/php5/cli/php.ini
#  fi
#  if [[ -d "/etc/php5/fpm/" && ! `cat /etc/php5/fpm/php.ini | grep "mosquitto"` ]]; then
#       echo "extension=mosquitto.so" | tee -a /etc/php5/fpm/php.ini
#    service php5-fpm restart
#  fi
#  if [[ -d "/etc/php5/apache2/" && ! `cat /etc/php5/apache2/php.ini | grep "mosquitto"` ]]; then
#       echo "extension=mosquitto.so" | tee -a /etc/php5/apache2/php.ini
#    rm /tmp/SNIPS_dep
#    echo "Dependances installation is done"
#    service apache2 restart
#  fi
#else
  apt-get -y install php7.0-dev
  if [[ -d "/etc/php/7.0/cli/" && ! `cat /etc/php/7.0/cli/php.ini | grep "mosquitto"` ]]; then
    echo "" | pecl install Mosquitto-alpha
    echo 80 > /tmp/SNIPS_dep
    echo "extension=mosquitto.so" | tee -a /etc/php/7.0/cli/php.ini
  fi
  if [[ -d "/etc/php/7.0/fpm/" && ! `cat /etc/php/7.0/fpm/php.ini | grep "mosquitto"` ]]; then
    echo "extension=mosquitto.so" | tee -a /etc/php/7.0/fpm/php.ini
    service php5-fpm restart
  fi
  if [[ -d "/etc/php/7.0/apache2/" && ! `cat /etc/php/7.0/apache2/php.ini | grep "mosquitto"` ]]; then
    echo "extension=mosquitto.so" | tee -a /etc/php/7.0/apache2/php.ini
    rm /tmp/SNIPS_dep
    echo "Dependances installation is done"
    service apache2 restart
  fi
#fi
l'installation des dépendances est bien OK et le demon OK.
ça m'a pris deux heures mais j'ai trouvé pourquoi ça ne marchait pas....
Voilà pour info si d'autres ont le problème...
Merci beaucoup pour ton retour!

On va ajouter ça dans la partie troubleshooting de la documentation!

Merci

Avatar de l’utilisateur
fwehrle
Actif
Messages : 2819
Inscription : 01 juil. 2015, 11:03
Localisation : Strasbourg

Re: [Sujet officiel] l'assistant vocal Snips

Message par fwehrle » 29 juil. 2018, 10:56

C'est exactement ce que j'ai fait (utiliser dmix : et ca marche très bien). Et c'est justement à partir de la que j'ai un décalage de synchro avec les autres plateformes Squeezebox...

PS HS : en jouant avec le plugin Squeezebox, je me suis rendu compte que Snips fonctionne très bien, malgrés les erreurs hermes-python lors de l'installation de l'assistant jeedom sur ma VM x64...
Je comprend pas pourquoi, mais ca marche! :)
Ce plugin est excellent.. et Snips apparemment très puissant (je découvre). En tout cas la reco est juste énorme, même par rapport à SARAH sur Kinect. Bravo les gars.
Jeedom 3 sur Debian 9 en VM Proxmox 5 sur NUC Intel.
(Anciennement sur Docker sur Syno DS-415+ / MariaDB / DSM 6)
Teleinfo / RFXCom / Stick ZWave / IPX / Serveur Traccar / Blea

chsalmon
Timide
Messages : 185
Inscription : 23 déc. 2014, 11:25

Re: [Sujet officiel] l'assistant vocal Snips

Message par chsalmon » 29 juil. 2018, 12:30

Hello,

ça fonctionne nickel !

juste un petit warning dans la log http.error :

Code : Tout sélectionner

PHP Warning:  Invalid argument supplied for foreach() in /var/www/html/jeedom/plugins/snips/core/class/snips.class.php on line 776
parce qu'il doit essayer de faire un truc avec des options de commande interne jeedom (genre 'pause' , 'attendre'..) alors que j'en ai pas dans mon action, ça n'a pas l'air bloquant ça fonctionne avec.

Par contre, les "status" des intents et actions ne sont pas très ergonomiques.
Certe par défaut il sont enable mais si on y touche on ne sait plus dans quel état ils sont, quand c'est marqué Disable c'es qu'ils sont Enabled et inversement, il faudrait plutot mettre EnablED que Enable ou mettre d'autre style de bouton (perso c'est pas hyper clair ).

Est ce que c'est possible d'avoir les phrases associées aux intents ? (je sais y'en a beaucoup)
ou alors quelque phrase pour savoir de quoi parle l'intent, parce que c'est pas facile de savoir quel intent utiliser pour quelle situation sans aller voir dans la console Snips.
Ou alors Il serait cool d'avoir un champ où on tape sa phrase et ça affiche les intents qui correspondent, un peu comme dans la console Snips, mais dans jeedom.

Avatar de l’utilisateur
fwehrle
Actif
Messages : 2819
Inscription : 01 juil. 2015, 11:03
Localisation : Strasbourg

Re: [Sujet officiel] l'assistant vocal Snips

Message par fwehrle » 29 juil. 2018, 15:42

Hello,

Je profite de mes tests pour remonter un petit bug :
Je demande la température via un binding dans EntityStateValueJeedom, sur un virtuel info contenant un lien vers une autre info contenant la température (On utilise parfois ca pour faire des calculs, stocker une variable, ou comme moi pour récupérer des infos dans des virtuels). Et la, le TTS se merde en renvoyant l'id de l'action info contenant la température au lieu de sa valeur.. :)
Capture d'écran 2018-07-29 15.37.52.png
Capture d'écran 2018-07-29 15.37.52.png (807.92 Kio) Consulté 1085 fois
Capture d'écran 2018-07-29 15.38.13.png
Capture d'écran 2018-07-29 15.38.13.png (778.27 Kio) Consulté 1085 fois

Code : Tout sélectionner

[15:31:21] [Dialogue] was ask to end session with id c1b2e057-37c5-4fe0-9b78-98f1eac03628 by saying 'La température de la jardin est de #315#°C
Jeedom 3 sur Debian 9 en VM Proxmox 5 sur NUC Intel.
(Anciennement sur Docker sur Syno DS-415+ / MariaDB / DSM 6)
Teleinfo / RFXCom / Stick ZWave / IPX / Serveur Traccar / Blea

Avatar de l’utilisateur
Patrick
Helper
Messages : 1003
Inscription : 29 août 2014, 15:21
Localisation : Savoie

Re: [Sujet officiel] l'assistant vocal Snips

Message par Patrick » 29 juil. 2018, 19:00

Merci pour vos réponses @fwehrle et @valentinf :)
fwehrle a écrit :
28 juil. 2018, 08:12
Salut Patrick,

Attention : apparemment, le packet hermes-python n'est dispo que sous archi arm7. Donc si ta vm est sur un nuc Intel comme moi, va falloir patienter que Snips propose le paquet sous archi x86_x64.
(J'espère bien tôt). Sinon, pour le serveur, c'est effectivement mieux sous rpi3 (le pi3 b+ à apparemment des problèmes de stabilité : je te dirais, j'en ai commandé un).
Pour les satellites, un pi zéro suffit.

Envoyé de mon Nexus 6P en utilisant Tapatalk
Mon Proxmox est sur un Histou, et j'ai créeé pour le serveur snips une vm (debian-8.11.0-amd64), donc a priori j'ai pas remarqué de problème...
Je vais essayer d'installer le satellite sur le RPi2b (si tu dis que même un Pi Zéro convient)...

Mais juste pour clarifier, concernant la réponse de Valentin, le RPI3 requis c'est pour la partie serveur (moi coté serveur j'ai installé une jessie debian-8.11.0-amd64 en VM), mais pas pour les satellites ou c'est aussi pour les satellites que ça va ramer en RPI2B+ ? ?
valentinf a écrit :
28 juil. 2018, 12:14
Hello :)

Effectivement cela risque d’être un peu lent sur RPI2 tu peux essayer mais ce sera pas aussi réactif que sur PI3... Tu risques d'être deçu ...
ßêta-Testeur / Développeur plugin / Modérateur du Forum EnOcean

En domotique ou en informatique, il n'y a pas de problème, mais seulement des solutions à trouver...
Pour contribuer au développement des plugins et tutos : Paypal

valentinf
Timide
Messages : 250
Inscription : 13 avr. 2017, 14:16

Re: [Sujet officiel] l'assistant vocal Snips

Message par valentinf » 29 juil. 2018, 19:09

Patrick a écrit :
29 juil. 2018, 19:00
Merci pour vos réponses @fwehrle et @valentinf :)
fwehrle a écrit :
28 juil. 2018, 08:12
Salut Patrick,

Attention : apparemment, le packet hermes-python n'est dispo que sous archi arm7. Donc si ta vm est sur un nuc Intel comme moi, va falloir patienter que Snips propose le paquet sous archi x86_x64.
(J'espère bien tôt). Sinon, pour le serveur, c'est effectivement mieux sous rpi3 (le pi3 b+ à apparemment des problèmes de stabilité : je te dirais, j'en ai commandé un).
Pour les satellites, un pi zéro suffit.

Envoyé de mon Nexus 6P en utilisant Tapatalk
Mon Proxmox est sur un Histou, et j'ai créeé pour le serveur snips une vm (debian-8.11.0-amd64), donc a priori j'ai pas remarqué de problème...
Je vais essayer d'installer le satellite sur le RPi2b (si tu dis que même un Pi Zéro convient)...

Mais juste pour clarifier, concernant la réponse de Valentin, le RPI3 requis c'est pour la partie serveur (moi coté serveur j'ai installé une jessie debian-8.11.0-amd64 en VM), mais pas pour les satellites ou c'est aussi pour les satellites que ça va ramer en RPI2B+ ? ?
valentinf a écrit :
28 juil. 2018, 12:14
Hello :)

Effectivement cela risque d’être un peu lent sur RPI2 tu peux essayer mais ce sera pas aussi réactif que sur PI3... Tu risques d'être deçu ...
Hello

Ah non c'est que pour le serveur donc tu es bon, au temps pour moi.

Pour un satellite tu es large avec une PI 2 =)

valentinf
Timide
Messages : 250
Inscription : 13 avr. 2017, 14:16

Re: [Sujet officiel] l'assistant vocal Snips

Message par valentinf » 29 juil. 2018, 19:11

fwehrle a écrit :
29 juil. 2018, 15:42
Hello,

Je profite de mes tests pour remonter un petit bug :
Je demande la température via un binding dans EntityStateValueJeedom, sur un virtuel info contenant un lien vers une autre info contenant la température (On utilise parfois ca pour faire des calculs, stocker une variable, ou comme moi pour récupérer des infos dans des virtuels). Et la, le TTS se merde en renvoyant l'id de l'action info contenant la température au lieu de sa valeur.. :)
Capture d'écran 2018-07-29 15.37.52.pngCapture d'écran 2018-07-29 15.38.13.png

Code : Tout sélectionner

[15:31:21] [Dialogue] was ask to end session with id c1b2e057-37c5-4fe0-9b78-98f1eac03628 by saying 'La température de la jardin est de #315#°C
Hello, c'est pas vraiment un bug ... même pas du tout. Il va chercher la valeur qui se trouve dans cette variable.
On ne peux pas concevoir un plugin qui fonctionne pour tous les usages, celui-ci est conçu pour aller chercher la valeur d'une variable d'un objet, là le fait de l'envoyer vers un virtuel je ne sais pas ce qu'il va chercher mais ce ne sera pas la valeur de l'objet. C'est toi de lui indiquer où aller la chercher ou d'aller créer le chemin pour qu'il puisse la trouver.

Avatar de l’utilisateur
fwehrle
Actif
Messages : 2819
Inscription : 01 juil. 2015, 11:03
Localisation : Strasbourg

Re: [Sujet officiel] l'assistant vocal Snips

Message par fwehrle » 29 juil. 2018, 19:35

valentinf a écrit :
29 juil. 2018, 19:11
fwehrle a écrit :
29 juil. 2018, 15:42
Hello,

Je profite de mes tests pour remonter un petit bug :
Je demande la température via un binding dans EntityStateValueJeedom, sur un virtuel info contenant un lien vers une autre info contenant la température (On utilise parfois ca pour faire des calculs, stocker une variable, ou comme moi pour récupérer des infos dans des virtuels). Et la, le TTS se merde en renvoyant l'id de l'action info contenant la température au lieu de sa valeur.. :)
Capture d'écran 2018-07-29 15.37.52.pngCapture d'écran 2018-07-29 15.38.13.png

Code : Tout sélectionner

[15:31:21] [Dialogue] was ask to end session with id c1b2e057-37c5-4fe0-9b78-98f1eac03628 by saying 'La température de la jardin est de #315#°C
Hello, c'est pas vraiment un bug ... même pas du tout. Il va chercher la valeur qui se trouve dans cette variable.
On ne peux pas concevoir un plugin qui fonctionne pour tous les usages, celui-ci est conçu pour aller chercher la valeur d'une variable d'un objet, là le fait de l'envoyer vers un virtuel je ne sais pas ce qu'il va chercher mais ce ne sera pas la valeur de l'objet. C'est toi de lui indiquer où aller la chercher ou d'aller créer le chemin pour qu'il puisse la trouver.
Je comprend. Mais je persiste à penser que c'est un problème dans la manière dont le plugin Snips récupère la valeur. Car une action info comme celle-ci peut être calculé comme c'est le cas ici. Et le plugin récupère la règle de calcul plutot que le résultat. C'est très étrange et c'est la première fois que je vois ca.
Pourtant ce fonctionnement est très courant avec Jeedom. C'est même fait pour ca. On s'en sert par exemple pour historiser des compteurs, des températures ou états venants d'autres équipements, arrondir des valeurs, etc.. D'ailleurs, quand on utilise la fonction de récupération d'un équipement dans un virtuel (copie des commandes et actions), ca créé automatiquement des calculs comme celui-ci.
Tu aurais l'endroit dans le code du plugin ou vous récupérez la valeur de l'action info? Que je jète un oeil et test... J'ai l'impression que vous n'utilisez pas la bonne fonction. Parce que quand je demande la valeur du même equipement, par exemple dans les interractions ou dans le plugin telegram, ca me donne bien la valeur, et nom l'id de l'action.
Jeedom 3 sur Debian 9 en VM Proxmox 5 sur NUC Intel.
(Anciennement sur Docker sur Syno DS-415+ / MariaDB / DSM 6)
Teleinfo / RFXCom / Stick ZWave / IPX / Serveur Traccar / Blea

valentinf
Timide
Messages : 250
Inscription : 13 avr. 2017, 14:16

Re: [Sujet officiel] l'assistant vocal Snips

Message par valentinf » 29 juil. 2018, 20:44

Okay,

je peux te laisser créer une "issue" sur github s'il te plaît? On regardera

Plus facile à suivre

Merci

Avatar de l’utilisateur
fwehrle
Actif
Messages : 2819
Inscription : 01 juil. 2015, 11:03
Localisation : Strasbourg

Re: [Sujet officiel] l'assistant vocal Snips

Message par fwehrle » 29 juil. 2018, 21:02

Ok. Pas de soucis.

Envoyé de mon Nexus 6P en utilisant Tapatalk

Jeedom 3 sur Debian 9 en VM Proxmox 5 sur NUC Intel.
(Anciennement sur Docker sur Syno DS-415+ / MariaDB / DSM 6)
Teleinfo / RFXCom / Stick ZWave / IPX / Serveur Traccar / Blea

Tristan35
Timide
Messages : 404
Inscription : 09 juin 2017, 21:53
Localisation : Rennes

Re: [Sujet officiel] l'assistant vocal Snips

Message par Tristan35 » 30 juil. 2018, 08:08

Je suis en train d'essayer d'installer Snips sur une VM en Debian 9, mais je bute au moment d'installer Snips lui même

Code : Tout sélectionner

E: Unable to locate package snips-platform-voice
Quelqu'un a déjà eu le soucis ? J'ai du passer par le serveur pgp.surfnet.nl car l'autre ne fonctionnait pas.

Merci à vous !
Tristan

Avatar de l’utilisateur
fwehrle
Actif
Messages : 2819
Inscription : 01 juil. 2015, 11:03
Localisation : Strasbourg

Re: [Sujet officiel] l'assistant vocal Snips

Message par fwehrle » 30 juil. 2018, 08:49

3 points :
Snips n'est pas encore compatible avec Debian 9, comme indiqué dans la doc.. Seulement Rasbian 9.
Toujours comme indiqué dans la doc, il est "normal" que le serveur de clé indiqué soit parfois indispo. C'est pour ca qu'ils en proposent un autre...
Et fais gaffe : je crois que la clé à rentré est pour une install sur RaspBerry. Pour Debian, il y a une page dans la doc qui en indique une autre..
Mais je confirme que l'installation du serveur hors serveur audio (j'utilise des Pi zero pour les serveurs audio satellite) en VM Debian 8 tourne bien.
Jeedom 3 sur Debian 9 en VM Proxmox 5 sur NUC Intel.
(Anciennement sur Docker sur Syno DS-415+ / MariaDB / DSM 6)
Teleinfo / RFXCom / Stick ZWave / IPX / Serveur Traccar / Blea

valentinf
Timide
Messages : 250
Inscription : 13 avr. 2017, 14:16

Re: [Sujet officiel] l'assistant vocal Snips

Message par valentinf » 30 juil. 2018, 15:46

Bonjour,

Je viens de pusher une dernière version de l'app JeedomOfficiel sur la console Snips, j'ai ajouté des training sentences pour TurnOffjeedom et EntityStateValueJeedom

Pour ceux qui l'ont forker, je vous suggère de prendre celle-ci, elle contient plus d'exemples.

Merci

Avatar de l’utilisateur
fwehrle
Actif
Messages : 2819
Inscription : 01 juil. 2015, 11:03
Localisation : Strasbourg

Re: [Sujet officiel] l'assistant vocal Snips

Message par fwehrle » 30 juil. 2018, 17:32

Arg.. je viens de forker l'app ce matin..
Et si on a pas encore forké les intents, c'est bon, non?

Mais merci quand même hein.. ;)
Jeedom 3 sur Debian 9 en VM Proxmox 5 sur NUC Intel.
(Anciennement sur Docker sur Syno DS-415+ / MariaDB / DSM 6)
Teleinfo / RFXCom / Stick ZWave / IPX / Serveur Traccar / Blea

Tristan35
Timide
Messages : 404
Inscription : 09 juin 2017, 21:53
Localisation : Rennes

Re: [Sujet officiel] l'assistant vocal Snips

Message par Tristan35 » 30 juil. 2018, 19:49

fwehrle a écrit :
30 juil. 2018, 08:49
3 points :
Snips n'est pas encore compatible avec Debian 9, comme indiqué dans la doc.. Seulement Rasbian 9.
Toujours comme indiqué dans la doc, il est "normal" que le serveur de clé indiqué soit parfois indispo. C'est pour ca qu'ils en proposent un autre...
Et fais gaffe : je crois que la clé à rentré est pour une install sur RaspBerry. Pour Debian, il y a une page dans la doc qui en indique une autre..
Mais je confirme que l'installation du serveur hors serveur audio (j'utilise des Pi zero pour les serveurs audio satellite) en VM Debian 8 tourne bien.
Merci, j'ai pas du prendre la bonne doc car il n'y a pas de section pour un Debian normal dedans et elle ne parle pas de Debian 9. Je vais regarder si j'en trouve une autre alors.

Edit : Ok, j'ai trouvé, c'est dans Advanced Features oui Alternative installation solutions :)

Avatar de l’utilisateur
Patrick
Helper
Messages : 1003
Inscription : 29 août 2014, 15:21
Localisation : Savoie

Re: [Sujet officiel] l'assistant vocal Snips

Message par Patrick » 30 juil. 2018, 20:37

Bon, ben de mon coté, c'est pas brillant...
Je viens juste d'installer la dernière version du plugin (2018-07-29 20:45:36), rien d'autre...

J'ai installé le plugin sur mon jeedom, et c'est la cata ! :(
Voici le log du plugin :

Code : Tout sélectionner

Start to install dependances
E: dpkg was interrupted, you must manually run 'sudo dpkg --configure -a' to correct the problem.
Ign:1 http://ftp.fr.debian.org/debian stretch InRelease
Hit:2 http://security.debian.org/debian-security stretch/updates InRelease
Hit:3 http://ftp.fr.debian.org/debian stretch-updates InRelease
Hit:4 http://ftp.fr.debian.org/debian stretch Release
Hit:5 https://deb.nodesource.com/node_8.x stretch InRelease
Reading package lists...
Installing mqtt dependances
E: dpkg was interrupted, you must manually run 'sudo dpkg --configure -a' to correct the problem.
E: dpkg was interrupted, you must manually run 'sudo dpkg --configure -a' to correct the problem.
mkdir: cannot create directory '/tmp/jeedom/snips': File exists
Dependances installation is done
J'ai bien tenté un dpkg --configure -a, mais ça ne veut pas :

Code : Tout sélectionner

 dpkg --configure -a
dpkg: erreur de traitement du paquet libuv1:i386 (--configure) :
 le paquet est dans un état vraiment incohérent; vous devriez
 le réinstaller avant de tenter de le configurer.
Des erreurs ont été rencontrées pendant l'exécution :
 libuv1:i386
J'ai tenté de réinstaller sans plus de succès :

Code : Tout sélectionner

 apt-get install  libuv1
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
libuv1 is already the newest version (1.9.1-3).
0 mis à jour, 0 nouvellement installés, 0 à enlever et 31 non mis à jour.
1 partiellement installés ou enlevés.
Il est nécessaire de prendre 0 o/89,8 ko dans les archives.
Après cette opération, 0 o d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer ? [O/n]
dpkg: erreur de traitement du paquet libuv1:i386 (--configure) :
 le paquet est dans un état vraiment incohérent; vous devriez
 le réinstaller avant de tenter de le configurer.
Des erreurs ont été rencontrées pendant l'exécution :
 libuv1:i386
E: Sub-process /usr/bin/dpkg returned an error code (1)
J'ai même tenté de le désinstaller sans plus de résultat :

Code : Tout sélectionner

 apt-get remove  libuv1
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
Les paquets suivants seront ENLEVÉS :
  libuv1
0 mis à jour, 0 nouvellement installés, 1 à enlever et 31 non mis à jour.
1 partiellement installés ou enlevés.
Après cette opération, 210 ko d'espace disque seront libérés.
Souhaitez-vous continuer ? [O/n]
dpkg: erreur de traitement du paquet libuv1:i386 (--remove) :
 Le paquet est dans un état incohérent; vous devriez
 le réinstaller avant d'essayer de le supprimer.
Des erreurs ont été rencontrées pendant l'exécution :
 libuv1:i386
E: Sub-process /usr/bin/dpkg returned an error code (1)
Bref ça sent pas bon ça, Quelqu'un a des suggestions ? ou je dois me refaire mon jeedom ?
ßêta-Testeur / Développeur plugin / Modérateur du Forum EnOcean

En domotique ou en informatique, il n'y a pas de problème, mais seulement des solutions à trouver...
Pour contribuer au développement des plugins et tutos : Paypal

cedcox
Timide
Messages : 92
Inscription : 26 juin 2017, 21:39
Localisation : Paris
Contact :

Re: [Sujet officiel] l'assistant vocal Snips

Message par cedcox » 31 juil. 2018, 13:59

Bonjour,

Et si tu tentes apt-get install --reinstall libuv1 ?

puis apt-get remove -purge libuv1 ?

Avatar de l’utilisateur
Patrick
Helper
Messages : 1003
Inscription : 29 août 2014, 15:21
Localisation : Savoie

Re: [Sujet officiel] l'assistant vocal Snips

Message par Patrick » 31 juil. 2018, 18:37

@cedcox, Merci cela m'a permis de tout virer et de refaire une install qui cette fois à bien fonctionnée. :-)
ßêta-Testeur / Développeur plugin / Modérateur du Forum EnOcean

En domotique ou en informatique, il n'y a pas de problème, mais seulement des solutions à trouver...
Pour contribuer au développement des plugins et tutos : Paypal

Avatar de l’utilisateur
fwehrle
Actif
Messages : 2819
Inscription : 01 juil. 2015, 11:03
Localisation : Strasbourg

Re: [Sujet officiel] l'assistant vocal Snips

Message par fwehrle » 01 août 2018, 08:56

Hello Patrick,

La question que je me poserais à ta place est : pourquoi libuv1 était-il dans cet état? tu es sur Pi? un problème de SD?
Jeedom 3 sur Debian 9 en VM Proxmox 5 sur NUC Intel.
(Anciennement sur Docker sur Syno DS-415+ / MariaDB / DSM 6)
Teleinfo / RFXCom / Stick ZWave / IPX / Serveur Traccar / Blea

Répondre

Revenir vers « Discussions Générales »

Qui est en ligne ?

Utilisateurs parcourant ce forum : Aucun utilisateur inscrit et 4 invités